import 'rxjs/add/operator/map';
import { ReplaySubject } from 'rxjs/ReplaySubject';
import { ReduxStateProviderType } from './interfaces/redux-state.provider.interface';
import { ReduxStateProvider } from './providers/redux-state.provider';
import { ReduxRootState } from './interfaces/redux-root-state.interface';
export declare class ReduxSelector<T> extends ReplaySubject<T> {
    private static readonly DELIMITER;
    constructor(selector?: string, stateProvider?: ReduxStateProviderType<ReduxStateProvider<{}>>);
    static normalize(selector: string, stateProvider?: ReduxStateProviderType): string;
    static getValueByState<S>(state: ReduxRootState<S>, selector: string, stateProvider?: ReduxStateProviderType): S;
}
